Bug 2218044 - Review Request: guile-reader - A simple framework for building readers for GNU Guile
Summary: Review Request: guile-reader - A simple framework for building readers for GN...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Tom Rix
QA Contact: Fedora Extras Quality Assurance
URL: https://www.nongnu.org/guile-reader/%...
Whiteboard:
Depends On:
Blocks: 2218338
TreeView+ depends on / blocked
 
Reported: 2023-06-27 23:02 UTC by Benson Muite
Modified: 2023-09-15 18:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-15 01:35:19 UTC
Type: ---
Embargoed:
trix: fedora-review+


Attachments (Terms of Use)
The .spec file difference from Copr build 6119946 to 6371756 (2.38 KB, patch)
2023-09-05 01:14 UTC, Fedora Review Service
no flags Details | Diff

Description Benson Muite 2023-06-27 23:02:58 UTC
spec: https://download.copr.fedorainfracloud.org/results/fed500/guile-reader/fedora-38-x86_64/06119909-guile-reader/guile-reader.spec
srpm: https://download.copr.fedorainfracloud.org/results/fed500/guile-reader/fedora-38-x86_64/06119909-guile-reader/guile-reader-0.6.3-1.fc38.src.rpm

description:
The idea is to make it easy to build procedures that extend
Guile’s read procedure. Readers supporting various syntax
variants can easily be written, possibly by re-using existing
“token readers” of a standard Scheme readers.

fas: fed500

Reproducible: Always

Comment 1 Fedora Review Service 2023-06-27 23:07:49 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6119946
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2218044-guile-reader/fedora-rawhide-x86_64/06119946-guile-reader/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Tom Rix 2023-09-02 19:38:13 UTC
Look pretty good.
Some nits.
Do not to hardcode --with-guilemoduledir=/usr/share/... when %{_datadir}/guile/.. is a little better 
Be consistent with the guile.spec, use %define mver 2.0

Comment 4 Fedora Review Service 2023-09-05 01:14:55 UTC
Created attachment 1986987 [details]
The .spec file difference from Copr build 6119946 to 6371756

Comment 5 Fedora Review Service 2023-09-05 01:14:57 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6371756
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2218044-guile-reader/fedora-rawhide-x86_64/06371756-guile-reader/fedora-review/review.txt

Please take a look if any issues were found.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 6 Tom Rix 2023-09-06 13:28:21 UTC
Thanks for the changes
Approved.

Comment 7 Fedora Admin user for bugzilla script actions 2023-09-06 17:19:28 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/guile-reader

Comment 8 Benson Muite 2023-09-06 18:33:22 UTC
Thanks.

Comment 9 Fedora Update System 2023-09-06 18:45:57 UTC
FEDORA-2023-f3d00b833e has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-f3d00b833e

Comment 10 Fedora Update System 2023-09-06 18:58:03 UTC
FEDORA-2023-95f5709f69 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-95f5709f69

Comment 11 Fedora Update System 2023-09-06 19:11:33 UTC
FEDORA-2023-33f402aac4 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-33f402aac4

Comment 12 Fedora Update System 2023-09-07 02:24:50 UTC
FEDORA-2023-f3d00b833e has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-f3d00b833e \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-f3d00b833e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2023-09-07 02:31:32 UTC
FEDORA-2023-33f402aac4 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-33f402aac4 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-33f402aac4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2023-09-07 02:40:31 UTC
FEDORA-2023-95f5709f69 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-95f5709f69 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-95f5709f69

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2023-09-15 01:35:19 UTC
FEDORA-2023-33f402aac4 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2023-09-15 01:42:19 UTC
FEDORA-2023-95f5709f69 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2023-09-15 18:50:28 UTC
FEDORA-2023-f3d00b833e has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.